Subject: Undocumented Chinese and CSPA

From: [email-masked] (Mi Mi)
Date: Thu, 4 Nov 93 12:54:27 CST

Recently there are several arcticles appeared on the net regarding the 
undocumented Chinese. Well, when I saw the images of Golden Venture
went ashore with  all those familiar Chinese figures in the underware,
I was shocked, not only the fact that they made here, but also the 
will which brought them here. It is very clear that I am against the human
smuggling, there is no doubt about it. But at the same time, I must say
I admire there determination to make that trip. 

America is a land of opportunity, a land of freedom. If you look at the 
very begining of this nation, who, legalized the passengers of the May 
Flower? A group of self-smuggled people, THAT IS ALL. If you go to the Elis
Island in NEW York Harbor, you will encounter all those images of 
newly arrived immigrants, tired, poor, ill-educated, in no way supperior
to anyone else. Just human beings! The very common thing we share, IS
the strong willingness to seek a better life, the freedom, the opportunity.
Which, our undocument fellow Chinese have, probably more, than many of us.

Maybe, we should ask ourselves, what makes this nation great? A handful
of educated elite? professors? politicians? No! before Einstain came to
the shore, the nation was great already. Who made this nation great? 
All of those who came earlier, with much less education, but with much
stronger willingness to seek a better life. 

Sometimes I just wonder if we are thinking the proper way. We used to
admire this great nation, and think the only best guys deserve to come 
here? By our definition, that the most qualified people for this nation
are higher degree seekers? No, I do not think so. Those undocumented 
Chines should HAVE THE EQUAL OPPORTUNITY to emmigrant. Nothing less than
you and I. The problem is how to find the proper channel to do it. Since
they have no other choice, then they have to smuggle. I hate those 
sneakheads, but I am very sympathetic to those fellow Chinese. Please
do not be so hard on them. Just compare them with the passengers of the
May Flower, then you will think differently.

Frank is right. Many of us highly-educated degree seekers ARE supported 
by those undocuments. Mi Mi Sr.'s wife had been working in such a restuarant
to earn her tuition. Many of self-sponsored Chinese students are doing
the same way. Mi Mi Sr. had been doing so also. When many of us complained
how difficult it was to find a job, we wish there were more restaurants 
to hire us. When it comes to the point when they compete with us for green
cards, then we speak the other ways. Is that some sort of uglyness of ours?

Think of this, guys.

Mi Mi Sr.